Bug 1121355 - Review Request: phpMyAdmin4 - Handle the administration of MySQL over the World Wide Web
Summary: Review Request: phpMyAdmin4 - Handle the administration of MySQL over the Wor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1121745
Blocks: 989674 1067716 1117602 1141638
TreeView+ depends on / blocked
 
Reported: 2014-07-19 18:38 UTC by Robert Scheck
Modified: 2014-10-09 19:54 UTC (History)
5 users (show)

Fixed In Version: phpMyAdmin4-4.0.10.3-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-09 19:54:57 UTC
jsmith.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2014-07-19 18:38:36 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/phpMyAdmin4.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/phpMyAdmin4-4.2.6-1.src.rpm
Description: phpMyAdmin is a tool written in PHP intended to handle the 
administration of MySQL over the World Wide Web. Most frequently used
operations are supported by the user interface (managing databases, tables, 
fields, relations, indexes, users, permissions), while you still have the 
ability to directly execute any SQL statement.

Features include an intuitive web interface, support for most MySQL features
(browse and drop databases, tables, views, fields and indexes, create, copy,
drop, rename and alter databases, tables, fields and indexes, maintenance
server, databases and tables, with proposals on server configuration, execute,
edit and bookmark any SQL-statement, even batch-queries, manage MySQL users
and privileges, manage stored procedures and triggers), import data from CSV
and SQL, export data to various formats: CSV, SQL, XML, PDF, OpenDocument Text
and Spreadsheet, Word, Excel, LATEX and others, administering multiple servers,
creating PDF graphics of your database layout, creating complex queries using
Query-by-example (QBE), searching globally in a database or a subset of it,
transforming stored data into any format using a set of predefined functions,
like displaying BLOB-data as image or download-link and much more...
Fedora Account System Username: robert

Important: This package is intended for Fedora EPEL 5 only and shall replace
phpMyAdmin3. The phpMyAdmin4 package itself has been copied and renamed from
the regular phpMyAdmin package in Fedora. RHEL 5 ships PHP 5.1 by default,
thus there is an old frozen phpMyAdmin 2.x package for the default users and 
newer phpMyAdmin3 (future: phpMyAdmin4) for users with PHP 5.3 (php53-*) RPMs.

Comment 1 Robert Scheck 2014-07-22 18:21:48 UTC
phpMyAdmin 4.2.x where x > 3 enforces a requirement to MySQL >= 5.5. Right
now I am investigating the options - also with upstream.

Comment 2 Robert Scheck 2014-07-22 21:25:20 UTC
For the time being the proposal is phpMyAdmin 4.0.10.1 minus the bundled
phpseclib minus the flash file (*.swf):

Spec URL: http://labs.linuxnetz.de/bugzilla/phpMyAdmin4.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/phpMyAdmin4-4.0.10.1-1.src.rpm

Comment 5 Jared Smith 2014-09-16 13:04:00 UTC
This package is looking pretty good, but isn't quite ready for approval.  In particular, please review the sources for code under other licenses, and use the %global macro in your spec file instead of %define, unless there is a specific reason not to.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find MIT-LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1525760 bytes in 66 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v2 or later) (with incorrect FSF address)",
     "LGPL (v3 or later)", "*No copyright* MIT/X11 (BSD like)", "Unknown or
     generated". 
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Building for EPEL 5
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Building for EPEL 5
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define pkgname phpMyAdmin,
     %define mcrypt 1, %define seclib 0, %define gettext 1, %define tcpdf 1
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: phpMyAdmin4-4.0.10.3-1.fc21.noarch.rpm
          phpMyAdmin4-4.0.10.3-1.fc21.src.rpm
phpMyAdmin4.noarch: E: explicit-lib-dependency php-zlib
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/save 0750L
phpMyAdmin4.noarch: E: zero-length /usr/share/phpMyAdmin/js/openlayers/theme/default/framedCloud.css
phpMyAdmin4.noarch: E: non-standard-dir-perm /etc/phpMyAdmin 0750L
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/config 0750L
phpMyAdmin4.noarch: E: non-readable /etc/phpMyAdmin/config.inc.php 0640L
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/upload 0750L
phpMyAdmin4.src: W: spelling-error %description -l en_US phpMyAdmin -> sysadmin
phpMyAdmin4.src:485: W: macro-in-%changelog %{_datadir}
2 packages and 0 specfiles checked; 7 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint phpMyAdmin4
phpMyAdmin4.noarch: E: explicit-lib-dependency php-zlib
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/save 0750L
phpMyAdmin4.noarch: E: zero-length /usr/share/phpMyAdmin/js/openlayers/theme/default/framedCloud.css
phpMyAdmin4.noarch: E: non-standard-dir-perm /etc/phpMyAdmin 0750L
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/config 0750L
phpMyAdmin4.noarch: E: non-readable /etc/phpMyAdmin/config.inc.php 0640L
phpMyAdmin4.noarch: E: non-standard-dir-perm /var/lib/phpMyAdmin/upload 0750L
1 packages and 0 specfiles checked; 7 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
phpMyAdmin4 (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(phpMyAdmin4)
    php(language)
    php-bz2
    php-ctype
    php-curl
    php-date
    php-filter
    php-gd
    php-hash
    php-iconv
    php-json
    php-libxml
    php-mbstring
    php-mcrypt
    php-mysql
    php-mysqli
    php-pcre
    php-php-gettext
    php-session
    php-simplexml
    php-spl
    php-tcpdf
    php-tcpdf-dejavu-sans-fonts
    php-xmlwriter
    php-zip
    php-zlib
    webserver



Provides
--------
phpMyAdmin4:
    config(phpMyAdmin4)
    phpMyAdmin4
    phpmyadmin



Source checksums
----------------
http://downloads.sourceforge.net/phpmyadmin/phpMyAdmin-4.0.10.3-all-languages.tar.xz :
  CHECKSUM(SHA256) this package     : 91c9d18ec51b185875507ad37c37ffc4ec8573409f35ad204ba3ad2cb219d2bb
  CHECKSUM(SHA256) upstream package : 91c9d18ec51b185875507ad37c37ffc4ec8573409f35ad204ba3ad2cb219d2bb


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -n phpMyAdmin4
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Robert Scheck 2014-09-16 15:50:04 UTC
(In reply to Jared Smith from comment #5)
> This package is looking pretty good, but isn't quite ready for approval.  In
> particular, please review the sources for code under other licenses, and use
> the %global macro in your spec file instead of %define, unless there is a
> specific reason not to.

Eh, yes. The %define rather %global thing is due to history, no specific
reason. I will change this.

Checking patched sources after %prep for licenses is too early because the
spec file removes some files and directories to unbundle some software. How
did you do the license check exactly?

Comment 7 Robert Scheck 2014-09-16 21:21:51 UTC
(In reply to Robert Scheck from comment #6)
> Checking patched sources after %prep for licenses is too early because the
> spec file removes some files and directories to unbundle some software. How
> did you do the license check exactly?

This is what I did and the result seems to be quite different than yours:

$ mkdir /tmp/licensecheck
$ cd /tmp/licensecheck
$ rpm2cpio phpMyAdmin4-4.0.10.3-1.el5.noarch.rpm | cpio -idm
$ licensecheck -r . | grep -v "No copyright"
./usr/share/phpMyAdmin/libraries/sqlparser.data.php: UNKNOWN
./usr/share/phpMyAdmin/libraries/sqlvalidator.class.php: UNKNOWN
./usr/share/phpMyAdmin/libraries/sqlvalidator.lib.php: UNKNOWN
$ rpm -qf /usr/bin/licensecheck
rpmdevtools-7.5-2.el6.noarch
$

Comment 8 Jared Smith 2014-09-17 15:30:14 UTC
I simply used the output of licencecheck supplied by the fedora-review tool.  It seems to indicate several different licenses, including LGPL and BSD.


*No copyright* MIT/X11 (BSD like)
---------------------------------
phpMyAdmin-4.0.10.3-all-languages/libraries/phpseclib/Crypt/Rijndael.php

GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
phpMyAdmin-4.0.10.3-all-languages/libraries/php-gettext/gettext.inc
phpMyAdmin-4.0.10.3-all-languages/libraries/php-gettext/gettext.php
phpMyAdmin-4.0.10.3-all-languages/libraries/php-gettext/streams.php

LGPL (v3 or later)
------------------
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/config/tcpdf_config.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/encodings_maps.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/htmlcolors.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/tcpdf.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/unicode_data.php

MIT/X11 (BSD like)
------------------
phpMyAdmin-4.0.10.3-all-languages/libraries/phpseclib/Crypt/AES.php

Unknown or generated
--------------------
phpMyAdmin-4.0.10.3-all-languages/browse_foreigners.php
phpMyAdmin-4.0.10.3-all-languages/changelog.php
phpMyAdmin-4.0.10.3-all-languages/chk_rel.php
phpMyAdmin-4.0.10.3-all-languages/config.sample.inc.php
phpMyAdmin-4.0.10.3-all-languages/db_create.php
phpMyAdmin-4.0.10.3-all-languages/db_datadict.php
phpMyAdmin-4.0.10.3-all-languages/db_events.php
phpMyAdmin-4.0.10.3-all-languages/db_export.php
phpMyAdmin-4.0.10.3-all-languages/db_import.php
phpMyAdmin-4.0.10.3-all-languages/db_operations.php
phpMyAdmin-4.0.10.3-all-languages/db_printview.php
phpMyAdmin-4.0.10.3-all-languages/db_qbe.php
phpMyAdmin-4.0.10.3-all-languages/db_routines.php
phpMyAdmin-4.0.10.3-all-languages/db_search.php
phpMyAdmin-4.0.10.3-all-languages/db_sql.php
phpMyAdmin-4.0.10.3-all-languages/db_structure.php
phpMyAdmin-4.0.10.3-all-languages/db_tracking.php
phpMyAdmin-4.0.10.3-all-languages/db_triggers.php
phpMyAdmin-4.0.10.3-all-languages/doc/_ext/configext.py
phpMyAdmin-4.0.10.3-all-languages/doc/conf.py
phpMyAdmin-4.0.10.3-all-languages/examples/config.manyhosts.inc.php
phpMyAdmin-4.0.10.3-all-languages/examples/openid.php
phpMyAdmin-4.0.10.3-all-languages/examples/signon-script.php
phpMyAdmin-4.0.10.3-all-languages/examples/signon.php
phpMyAdmin-4.0.10.3-all-languages/export.php
phpMyAdmin-4.0.10.3-all-languages/file_echo.php
phpMyAdmin-4.0.10.3-all-languages/gis_data_editor.php
phpMyAdmin-4.0.10.3-all-languages/import.php
phpMyAdmin-4.0.10.3-all-languages/import_status.php
phpMyAdmin-4.0.10.3-all-languages/index.php
phpMyAdmin-4.0.10.3-all-languages/js/get_image.js.php
phpMyAdmin-4.0.10.3-all-languages/js/get_scripts.js.php
phpMyAdmin-4.0.10.3-all-languages/js/messages.php
phpMyAdmin-4.0.10.3-all-languages/js/whitelist.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Advisor.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Config.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/DBQbe.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/DbSearch.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/DisplayResults.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Error.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Error_Handler.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/File.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Footer.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Header.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Index.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/List.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/List_Database.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Menu.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Message.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/OutputBuffering.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/PDF.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/PMA.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Partition.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/RecentTable.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Response.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Scripts.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/ServerStatusData.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/StorageEngine.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Table.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/TableSearch.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Theme.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Theme_Manager.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Tracker.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Types.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/Util.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/bfShapeFiles/ShapeFile.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/bookmark.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/build_html_for_db.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/charset_conversion.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/check_user_privileges.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/cleanup.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/common.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config.default.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config.values.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/ConfigFile.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/Form.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/FormDisplay.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/FormDisplay.tpl.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/config_functions.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/messages.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/setup.forms.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/user_preferences.forms.php
phpMyAdmin-4.0.10.3-all-languages/libraries/config/validate.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/core.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/data_dictionary_relations.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/database_interface.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/db_common.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/db_info.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/db_table_exists.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/dbi/drizzle-wrappers.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/dbi/drizzle.dbi.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/dbi/dummy.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/dbi/mysql.dbi.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/dbi/mysqli.dbi.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_change_password.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_create_database.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_create_table.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_export.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_git_revision.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_import.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_import_ajax.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/display_select_lang.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/bdb.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/berkeleydb.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/binlog.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/innobase.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/innodb.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/memory.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/merge.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/mrg_myisam.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/myisam.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/ndbcluster.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/pbxt.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/engines/performance_schema.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/error.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/file_listing.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_factory.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_geometry.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_geometrycollection.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_linestring.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_multilinestring.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_multipoint.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_multipolygon.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_point.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_polygon.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis/pma_gis_visualization.php
phpMyAdmin-4.0.10.3-all-languages/libraries/gis_visualization.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/iconv_wrapper.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/import.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/index.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/information_schema_relations.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/insert_edit.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/ip_allow_deny.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/js_escape.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/kanji-encoding.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/language_stats.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/logging.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/mime.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/mult_submits.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/mysql_charsets.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Navigation.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/NavigationHeader.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/NavigationTree.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/NodeFactory.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Column.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Column_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Database.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Event.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Event_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Function.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Function_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Index.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Index_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Procedure.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Procedure_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Table.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Table_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Trigger.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_Trigger_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_View.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/navigation/Nodes/Node_View_Container.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/opendocument.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/operations.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/parse_analyze.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugin_interface.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/AuthenticationPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/ExportPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/ImportPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/PluginManager.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/PluginObserver.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/TransformationsInterface.int.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/TransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/UploadInterface.int.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/AuthenticationConfig.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/AuthenticationCookie.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/AuthenticationHttp.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/AuthenticationSignon.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/swekey/authentication.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/swekey/swekey.auth.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/auth/swekey/swekey.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportCodegen.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportCsv.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportExcel.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportHtmlword.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportJson.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportLatex.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportMediawiki.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportOds.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportOdt.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportPdf.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportPhparray.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportSql.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportTexytext.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportXml.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/ExportYaml.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/PMA_ExportPdf.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/export/TableProperty.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/AbstractImportCsv.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportCsv.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportLdi.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportMediawiki.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportOds.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportShp.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportSql.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ImportXml.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ShapeFile.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/ShapeRecord.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/upload/UploadApc.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/upload/UploadNoplugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/upload/UploadProgress.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/import/upload/UploadSession.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Application_Octetstream_Download.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Application_Octetstream_Hex.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Image_JPEG_Inline.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Image_JPEG_Link.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Image_PNG_Inline.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Append.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Dateformat.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_External.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Formatted.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Imagelink.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Link.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Longtoipv4.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Sql.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/Text_Plain_Substring.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/AppendTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/DateFormatTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/DownloadTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/ExternalTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/FormattedTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/HexTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/ImageLinkTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/InlineTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/LongToIPv4TransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/SQLTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/SubstringTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/TextImageLinkTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/abstract/TextLinkTransformationsPlugin.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/generator_main_class.sh
phpMyAdmin-4.0.10.3-all-languages/libraries/plugins/transformations/generator_plugin.sh
phpMyAdmin-4.0.10.3-all-languages/libraries/pmd_common.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/PropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/OptionsPropertyGroup.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/OptionsPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/OptionsPropertyOneItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/groups/OptionsPropertyMainGroup.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/groups/OptionsPropertyRootGroup.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/groups/OptionsPropertySubgroup.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/BoolPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/DocPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/HiddenPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/MessageOnlyPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/RadioPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/SelectPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/options/items/TextPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/plugins/ExportPluginProperties.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/plugins/ImportPluginProperties.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/properties/plugins/PluginPropertyItem.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/relation.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/relation_cleanup.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/replication.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/replication_gui.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_events.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_export.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_footer.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_list.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_main.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_routines.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_triggers.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/rte/rte_words.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sanitizing.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/Dia_Relation_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/Eps_Relation_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/Export_Relation_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/Pdf_Relation_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/Svg_Relation_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/schema/User_Schema.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/select_lang.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/select_server.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/server_common.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/server_privileges.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/server_variables_doc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/session.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/special_schema_links.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sql_query_form.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sqlparser.data.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sqlparser.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sqlvalidator.class.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sqlvalidator.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/string.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/string_mb.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/string_native.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/string_type_ctype.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/string_type_native.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/structure.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/sysinfo.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tbl_columns_definition_form.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tbl_common.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tbl_info.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tbl_views.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/fonts/dejavusans.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/fonts/dejavusansb.php
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf/fonts/helvetica.php
phpMyAdmin-4.0.10.3-all-languages/libraries/transformations.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/url_generating.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/user_preferences.inc.php
phpMyAdmin-4.0.10.3-all-languages/libraries/user_preferences.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/vendor_config.php
phpMyAdmin-4.0.10.3-all-languages/libraries/zip.lib.php
phpMyAdmin-4.0.10.3-all-languages/libraries/zip_extension.lib.php
phpMyAdmin-4.0.10.3-all-languages/license.php
phpMyAdmin-4.0.10.3-all-languages/navigation.php
phpMyAdmin-4.0.10.3-all-languages/phpinfo.php
phpMyAdmin-4.0.10.3-all-languages/phpmyadmin.css.php
phpMyAdmin-4.0.10.3-all-languages/pmd_display_field.php
phpMyAdmin-4.0.10.3-all-languages/pmd_general.php
phpMyAdmin-4.0.10.3-all-languages/pmd_pdf.php
phpMyAdmin-4.0.10.3-all-languages/pmd_relation_new.php
phpMyAdmin-4.0.10.3-all-languages/pmd_relation_upd.php
phpMyAdmin-4.0.10.3-all-languages/pmd_save_pos.php
phpMyAdmin-4.0.10.3-all-languages/prefs_forms.php
phpMyAdmin-4.0.10.3-all-languages/prefs_manage.php
phpMyAdmin-4.0.10.3-all-languages/querywindow.php
phpMyAdmin-4.0.10.3-all-languages/schema_edit.php
phpMyAdmin-4.0.10.3-all-languages/schema_export.php
phpMyAdmin-4.0.10.3-all-languages/server_binlog.php
phpMyAdmin-4.0.10.3-all-languages/server_collations.php
phpMyAdmin-4.0.10.3-all-languages/server_databases.php
phpMyAdmin-4.0.10.3-all-languages/server_engines.php
phpMyAdmin-4.0.10.3-all-languages/server_export.php
phpMyAdmin-4.0.10.3-all-languages/server_import.php
phpMyAdmin-4.0.10.3-all-languages/server_plugins.php
phpMyAdmin-4.0.10.3-all-languages/server_privileges.php
phpMyAdmin-4.0.10.3-all-languages/server_replication.php
phpMyAdmin-4.0.10.3-all-languages/server_sql.php
phpMyAdmin-4.0.10.3-all-languages/server_status.php
phpMyAdmin-4.0.10.3-all-languages/server_status_advisor.php
phpMyAdmin-4.0.10.3-all-languages/server_status_monitor.php
phpMyAdmin-4.0.10.3-all-languages/server_status_queries.php
phpMyAdmin-4.0.10.3-all-languages/server_status_variables.php
phpMyAdmin-4.0.10.3-all-languages/server_variables.php
phpMyAdmin-4.0.10.3-all-languages/setup/config.php
phpMyAdmin-4.0.10.3-all-languages/setup/frames/config.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/frames/form.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/frames/index.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/frames/menu.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/frames/servers.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/index.php
phpMyAdmin-4.0.10.3-all-languages/setup/lib/ConfigGenerator.class.php
phpMyAdmin-4.0.10.3-all-languages/setup/lib/common.inc.php
phpMyAdmin-4.0.10.3-all-languages/setup/lib/form_processing.lib.php
phpMyAdmin-4.0.10.3-all-languages/setup/lib/index.lib.php
phpMyAdmin-4.0.10.3-all-languages/setup/validate.php
phpMyAdmin-4.0.10.3-all-languages/show_config_errors.php
phpMyAdmin-4.0.10.3-all-languages/sql.php
phpMyAdmin-4.0.10.3-all-languages/tbl_addfield.php
phpMyAdmin-4.0.10.3-all-languages/tbl_change.php
phpMyAdmin-4.0.10.3-all-languages/tbl_chart.php
phpMyAdmin-4.0.10.3-all-languages/tbl_create.php
phpMyAdmin-4.0.10.3-all-languages/tbl_export.php
phpMyAdmin-4.0.10.3-all-languages/tbl_get_field.php
phpMyAdmin-4.0.10.3-all-languages/tbl_gis_visualization.php
phpMyAdmin-4.0.10.3-all-languages/tbl_import.php
phpMyAdmin-4.0.10.3-all-languages/tbl_indexes.php
phpMyAdmin-4.0.10.3-all-languages/tbl_move_copy.php
phpMyAdmin-4.0.10.3-all-languages/tbl_operations.php
phpMyAdmin-4.0.10.3-all-languages/tbl_printview.php
phpMyAdmin-4.0.10.3-all-languages/tbl_relation.php
phpMyAdmin-4.0.10.3-all-languages/tbl_replace.php
phpMyAdmin-4.0.10.3-all-languages/tbl_row_action.php
phpMyAdmin-4.0.10.3-all-languages/tbl_select.php
phpMyAdmin-4.0.10.3-all-languages/tbl_sql.php
phpMyAdmin-4.0.10.3-all-languages/tbl_structure.php
phpMyAdmin-4.0.10.3-all-languages/tbl_tracking.php
phpMyAdmin-4.0.10.3-all-languages/tbl_triggers.php
phpMyAdmin-4.0.10.3-all-languages/tbl_zoom_select.php
phpMyAdmin-4.0.10.3-all-languages/themes.php
phpMyAdmin-4.0.10.3-all-languages/themes/original/css/common.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/original/css/navigation.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/original/info.inc.php
phpMyAdmin-4.0.10.3-all-languages/themes/original/layout.inc.php
phpMyAdmin-4.0.10.3-all-languages/themes/original/sprites.lib.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/codemirror.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/common.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/enum_editor.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/gis.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/jqplot.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/navigation.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/pmd.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/resizable-menu.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/css/rte.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/info.inc.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/layout.inc.php
phpMyAdmin-4.0.10.3-all-languages/themes/pmahomme/sprites.lib.php
phpMyAdmin-4.0.10.3-all-languages/themes/sprites.css.php
phpMyAdmin-4.0.10.3-all-languages/themes/svg_gradient.php
phpMyAdmin-4.0.10.3-all-languages/transformation_overview.php
phpMyAdmin-4.0.10.3-all-languages/transformation_wrapper.php
phpMyAdmin-4.0.10.3-all-languages/url.php
phpMyAdmin-4.0.10.3-all-languages/user_password.php
phpMyAdmin-4.0.10.3-all-languages/version_check.php
phpMyAdmin-4.0.10.3-all-languages/view_create.php
phpMyAdmin-4.0.10.3-all-languages/view_operations.php
phpMyAdmin-4.0.10.3-all-languages/webapp.php

Comment 9 Robert Scheck 2014-09-17 15:35:57 UTC
phpMyAdmin-4.0.10.3-all-languages/libraries/php-gettext -> unbundled (if you
don't override using %define)
phpMyAdmin-4.0.10.3-all-languages/libraries/tcpdf -> unbundled (if you
don't override using %define)
phpMyAdmin-4.0.10.3-all-languages/libraries/phpseclib -> unbundled (if you
don't override using %define), by default even removed.

Comment 10 Remi Collet 2014-09-17 16:02:12 UTC
@Robert, simply move the "rm" from %install to %prep
(and this is probably cleaner)

Comment 12 Jared Smith 2014-09-18 13:03:54 UTC
One last thing -- can you please split the documentation off into a separate sub-package?  That's the only remaining issue I see with the packaging.

Comment 13 Robert Scheck 2014-09-18 13:13:14 UTC
That unfortunately doesn't make sense to me because the web interface tries
to access these documentation files if a user clicks on a help/documentation
link.

Comment 14 Jared Smith 2014-09-18 17:24:42 UTC
Ah, that makes sense, I guess.  Package is approved.

Comment 15 Robert Scheck 2014-09-18 18:25:20 UTC
New Package SCM Request
=======================
Package Name: phpMyAdmin4
Short Description: Handle the administration of MySQL over the World Wide Web
Upstream URL: http://www.phpmyadmin.net/
Owners: robert
Branches: el5
InitialCC:

Comment 16 Gwyn Ciesla 2014-09-18 19:40:42 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-09-18 20:59:36 UTC
phpMyAdmin4-4.0.10.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/phpMyAdmin4-4.0.10.3-2.el5

Comment 18 Fedora Update System 2014-09-24 03:48:21 UTC
Package phpMyAdmin4-4.0.10.3-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing phpMyAdmin4-4.0.10.3-2.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2728/phpMyAdmin4-4.0.10.3-2.el5
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2014-10-09 19:54:57 UTC
phpMyAdmin4-4.0.10.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.